Delete Author
DELETE
/api/v1/dashboard/content/authors/{author_id}Overview
Soft-deletes an author by deactivating their profile. Deactivated authors are hidden from the public List Authors endpoint but their existing posts remain accessible. This operation can be reversed by updating the author via the Update Author endpoint.
Authentication
info
Bearer authentication required - Pass your credentials as Authorization: Bearer <client_id>:<api_key>:<api_secret>.
Headers
| Header | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Bearer <client_id>:<api_key>:<api_secret> |
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
author_id | string (UUID) | Yes | The unique identifier of the author to deactivate |
Response
successbooleanAlways true on successful deactivation
Example Request
- cURL
- Python
- JavaScript
curl -X DELETE "https://spideriq.ai/api/v1/dashboard/content/authors/b2c3d4e5-f6a7-8901-bcde-f12345678901" \
-H "Authorization: Bearer $CLIENT_TOKEN"
import requests
author_id = "b2c3d4e5-f6a7-8901-bcde-f12345678901"
resp = requests.delete(
f"https://spideriq.ai/api/v1/dashboard/content/authors/{author_id}",
headers={"Authorization": f"Bearer {CLIENT_TOKEN}"},
)
result = resp.json()
print(f"Deactivated: {result['success']}")
const authorId = "b2c3d4e5-f6a7-8901-bcde-f12345678901";
const resp = await fetch(
`https://spideriq.ai/api/v1/dashboard/content/authors/${authorId}`,
{
method: "DELETE",
headers: { "Authorization": `Bearer ${CLIENT_TOKEN}` },
}
);
const result = await resp.json();
console.log(`Deactivated: ${result.success}`);
Example Response
{
"success": true
}
Status Codes
| Status Code | Meaning | Description |
|---|---|---|
| 200 | OK | Author deactivated successfully |
| 401 | Unauthorized | Invalid or missing Bearer token |
| 404 | Not Found | Author not found or belongs to another client |